مجله وردپرس

چرا نباید افزونه های ناسازگار با نسخه فعلی را نصب کنیم؟

در مورد نحوه انتخاب افزونه در وردپرس و نحوه نصب افزونه ها در وردپرس قبلا توضیح داده بودم، اما بعضی مواقع پس از یافتن یک افزونه که کاری که مد نظر شما است را انجام می دهد، می بینید که این افزونه با نسخه نصبی وردپرس ناسازگار است. آیا باید افزونه های ناسازگار با نسخه فعلی را نصب کنید؟

همیشه تاکید می کنم که باید از به روزترین نسخه وردپرس استفاده کنید و قبلا مفصلا در مورد چرایی این موضوع صحبت کرده بودم. در مورد افزونه ها و قالب ها نیز همین موضوع صادق است.

در هر نسخه از وردپرس ممکن است باگ هایی به وجود بیاید که در هنگام به روزرسانی این باگ ها برطرف می شوند و در صورتی که شما از نسخه قدیمی وردپرس استفاده کنید، ممکن است این باگ ها به وب سایت شما آسیب برسانند.

در مورد افزونه ها در ادامه این آموزش از وردپرس نارنجی صحبت خواهم کرد و در انتها به جواب سوال خود که علت استفاده یا عدم استفاده از افزونه های ناسازگار با نسخه فعلی است، خواهید رسید.

افزونه های ناسازگار با نسخه فعلی

حتما شما هم وقتی که افزونه ای را انتخاب می کنید و برای نصب کردن آن به منوی افزونه ها >> افزودن می روید، برای برخی از آن ها پیغام با نگارش وردپرس شما سازگار است و برای برخی دیگر پیغام با نگارش وردپرس شما آزمایش نشده است را مشاهده خواهید کرد.

افزونه های تست شده با نسخه فعلی یا تست نشده
سازگار با نسخه فعلی یا ناسازگار با نسخه فعلی

اینکه وردپرس از کجا می فهمد یک افزونه با نسخه فعلی تست شده یا نه و اینکه چرا باید افزونه ها با نسخه وردپرسی نصبی تست شده باشند، مواردی هستند که در ادامه بررسی خواهم کرد.

این مطلب را از دست ندهید :
قالب رایگان یا تجاری وردپرس؟ کدام یک انتخاب بهتری است؟

وردپرس چگونه متوجه می شود افزونه با نسخه ما سازگار نیست؟

بزرگترین منبع افزونه های وردپرس، مخزن وردپرس است. هنگام ارسال یک افزونه و ثبت آن، نویسندگان موظف اند یک فایل راهنمای افزونه و ترجمه آن را همراه با افزونه ارسال کنند.

این فایل برای ساخت صفحه معرفی افزونه در مخزن وردپرس مورد استفاده قرار می گیرد. مانند آنچه در تصویر زیر می بینید یک افزونه در مخزن وردپرس حاوی اطلاعات تعداد نصب فعال، توضیحات افزونه و آزمایش شده تا نسخه وردپرس است.

توضیحات افزونه
اطلاعات افزونه

این فایل راهنما حاوی برچسب tested up to نیز می شود که برای نمایش اطلاعات مربوط به نسخه وردپرس آزمایش شده استفاده می شود.

با کمک این برچسب وردپرس می تواند نسخه تست شده را با نسخه نصب شده مقایسه کرده و اگر افزونه تا نسخه نصبی شما بررسی نشده باشد، خطای افزونه های ناسازگار با نسخه فعلی را نمایش می دهد.

نویسندگان افزونه ها موظف اند همیشه اطلاعات را به روز نگه دارند و این به این معنی است که با هر نسخه از وردپرس، نویسندگان افزونه باید افزونه را تست و فایل های راهنما برای افزونه های خود به روز رسانی کنند.

چرا نویسندگان افزونه اطلاعات را به روز رسانی نمی کنند؟

بسیاری از نویسندگان افزونه، به هیچ وجه فایل های خود را حتی زمانی که افزونه های خود را با آخرین نسخه تست می کنند، به روز رسانی نمی کنند!

این افزونه ها رایگان هستند و شما برای استفاده از آن ها هیچ پرداختی به نویسنده انجام نمی دهید. نویسندگان کمتر تمایل به به روزرسانی فایل های راهنمای خود دارند و بیشتر مشغول پروژه های خود هستند. اما این به این معنی نمی باشد که افزونه کارکرد خوبی ندارد.

این مطلب را از دست ندهید :
چرا نباید از قالب ها و افزونه های نال شده استفاده کنید؟

آیا می تواین افزونه های ناسازگار با نسخه فعلی را نصب کرد؟

افزونه های ناسازگار با نسخه فعلی را می توانید نصب کنید و علت خطای ناسازگاری عدم آپدیت فایل راهنما توسط نویسنده افزونه می باشد.

البته پیشنهاد می شود که افزونه هایی که بیش از 6 ماه یا حداکثر بیش از 2 سال از آخرین به روزرسانی آن ها می گذرد را نصب نکنید، چرا که ممکن است این افزونه به صورت کامل متروکه شده باشد.

هنگام بروز خطا چه کنیم؟

اگر پس از نصب افزونه های ناسازگار با نسخه فعلی با خطایی مواجه شدید، بهتر است افزونه را در محیط های مختلف تست کنید و اگر بازهم خطا دریافت کردید، اطلاعات خطا را برای بررسی نویسنده افزونه در صفحه افزونه قرار دهید.

هیچ وقت بدون داشتن نسخه پشتیبان اقدام به نصب افزونه حتی افزونه های سازگار با نسخه فعلی سایتتان نکنید و همیشه از قبل یک نسخه بک آپ تهیه کنید.

ترجیحا افزونه ها با نسخه های قدیمی تر را در لوکال هاست و یا وب سایت تستی بررسی کنید و پس از اینکه اطمینان حاصل کردید افزونه های ناسازگار با نسخه فعل به درستی کار می کنند، آن را روی وب سایت اصلی خود نیز استفاده کنید.

عاطفه نوربخش

عاطفه نوربخش هستم؛ هم بنیانگذار " وردپرس نارنجی " که حاصل تجربه های خودم در حوزه تخصصی وردپرس را برایتان می نویسم و تلاش میکنم به شما کمک کنم تا با سیستم مدیریت محتوای وردپرس، سایت وردپرسی ای زیبا و حرفه ای داشته باشید.

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

وردپرس 5.3 با تغییرات بسیار زیادی هم اکنون در دسترس است.ویژگی های جدید وردپرس 5.3
+
بستن